---
title: Transaction Detail
description: This API to get transaction details of a specific transaction.
---

# PUSH TO POS - Transaction Detail

This API to get transaction details of a specific transaction. We must pass merchant id, terminal id, unique id, and reference id : used to identify the specific transaction in request. If the request has valid details, we will get all the details like status code, amount, order id, mobile, invoice no etc in response.

## POST

```
https://kraken.airpay.co.in/airpay/ms/pos/api/transaction-detail
```

## Header

| Field | Description |
| --- | --- |
| content-type | application/x-www-form-urlencoded (required) |

## Parameter

| Field | Type | Description |
| --- | --- | --- |
| mercid | String | Merchant Id (length 1-12, required) |
| terminalid | String | It is device specific.One device have only one Terminal ID. ( required) |
| uniqueid | String | Unique ID is a unique identifier and have unique value (length 4-10, required) |
| referenceid | String | Reference ID is orderid (required) |

## Request-Example:

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/pos/api/transaction-detail' \
 --header 'content-type: application/x-www-form-urlencoded' \
  --data-urlencode 'terminalid=00008582' \
--data-urlencode 'mercid=71234' \
  --data-urlencode 'uniqueid=000648'\
--data-urlencode 'referenceid=4000411027'
```

## Success 200

| Field | Type | Description |
| --- | --- | --- |
| status | Number | Status Code |
| uniqueid | Number | Unique id of the transaction |
| mercid | Number | Merchant id |
| amount | Number | Transaction amount |
| orderid | Number | Transaction order id |
| mobile | Number | Mobile number used for the transaction |
| customvar | String | Any information passed in the request, which can be received in the response exactly as it was sent. We can pass multiple data in 'CustomVar' separated by the '|' symbol. Eg: 1234567|test|ABC1234 |
| posmode | Number | One of the transaction modes in POS like Authorization,Sale Completion etc. |
| invoiceno | Number | Invoice number |
| editamount | Number | Edit amount can have values 0,1. 1- User can change the amount, 0-User would not be able to change the amount. |

## Success-Response:

```
HTTP/1.1 200 OK
     "200||012686|71234|1.01|000648|9046207157||01|||||1"
```
## Error-Response: 

```
{
    "status": 500,
    "message": []
}
```